Bug 61948 - couldn't print gb18030, couldn't open files in zh_CN.GB2312
couldn't print gb18030, couldn't open files in zh_CN.GB2312
Product: Red Hat Linux
Classification: Retired
Component: gedit (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: 61959 (view as bug list)
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-26 00:34 EST by Yu Shao
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-29 05:55:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
I updated a patch. please use this instead of current gedit-0.9.4-print.patch (3.88 KB, patch)
2002-03-26 04:50 EST, Akira TAGOH
no flags Details | Diff
we need this patch yet. as I said, this is same patch which is already filed to bugzilla.gnome.org (14.07 KB, patch)
2002-03-28 01:23 EST, Akira TAGOH
no flags Details | Diff
and this. oh, no. 0.9.7 doesn't contain gettextize.... (1.03 KB, patch)
2002-03-28 01:25 EST, Akira TAGOH
no flags Details | Diff

  None (edit)
Description Yu Shao 2002-03-26 00:34:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
Couldn't open files under zh_CN.GB2312 locale
Couldn't print GB18030 test files under zh_CN.GB18030 locale

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Set locale as zh_CN.GB2312 or zh_CN.GB18030
2.use gedit open gb18030 test files from:


Expected Results:  should be able to open and print

Additional info:
Comment 1 Akira TAGOH 2002-03-26 04:50:31 EST
Created attachment 50425 [details]
I updated a patch. please use this instead of current gedit-0.9.4-print.patch
Comment 2 Akira TAGOH 2002-03-26 04:59:34 EST
I tried to open http://junk.brisbane.redhat.com/gb18030/double1.txt with gedit.
this file contains invalid characters with gb2312.
for example:
iconv -f gb18030 -t utf-8 double1.txt > double1.txt.utf8
iconv -f utf-8 -t gb2312 double1.txt.utf8 > double1.txt.gb2312

converting from UTF-8 to gb2312 was failed.
a reason which gedit can't open will relates this, I think.
Comment 3 Havoc Pennington 2002-03-26 16:24:29 EST
If I change the gedit font to "fangsong ti" in GB2312 encoding, then
it seems to handle double1.txt basically OK, except that the text widget 
doesn't redraw correctly. Force it to repaint by dragging another window over it
and the test file looks correct.

Has upstream seen the printing patch? What did they think?
Comment 4 Yu Shao 2002-03-27 00:41:11 EST

double1.txt: only about 10% of the characters are shown in print preview
double2.txt: the first time I opened it and previewed ok, I killed printing 
             after 30 mins no response.
             preview now becomes blank

all other test files' preview are blank.
Comment 5 Yu Shao 2002-03-27 00:49:54 EST
Can we automatically create fontset for gedit according to different locales? I
remember llch had a patch for 7.2-tcsc, now we have to manually edit
~/.gnome/gedit's font part.
Comment 6 Leon Ho 2002-03-27 02:49:07 EST
Yes. Can be customized by gettext. Havoc, is it possible to add the following?

RCS file: src/prefs.c,v
retrieving revision 1.1
diff -r1.1 src/prefs.c
< #define DEFAULT_FONTSET "-*-*-medium-r-normal-*-14-*-*-*-*-*-*-*,*"
> #define DEFAULT_FONTSET _("-*-*-medium-r-normal-*-14-*-*-*-*-*-*-*,*")

and "-*-*-medium-r-normal-*-14-*-*-*-*-*-*-*,*" to following for po files.



Comment 7 Akira TAGOH 2002-03-27 02:56:31 EST
gedit-0.9.4-print.patch is no longer needed for the latest gedit. our gedit was
released when gnome-print didn't fully supports UTF-8 yet. the latest gedit
works fine without this patch. but other patch will be needed though (we have
already that patch, and filed to bugzilla.gnome.org)
Comment 8 Nakai 2002-03-27 03:05:25 EST
That DEFAULT_FONTSET gettextized patch is already commited into gedit 0.9.6
Good reason for gedit update in Hampton.
Comment 9 Nakai 2002-03-27 03:09:19 EST
*** Bug 61959 has been marked as a duplicate of this bug. ***
Comment 10 Akira TAGOH 2002-03-27 03:21:52 EST
We have already frozen the features...
Comment 11 Nakai 2002-03-27 03:27:19 EST
This is a SHOULD-FIX bug, I'm not saying 'The newer, the better'.
Comment 12 Paul Gampe 2002-03-27 04:14:10 EST
Shao is looking at gedit as one of the applications we will use for the PRC GB18030 compliance test.  We must pass the test to have a legal product for 
China, so I would consider this a MUST-FIX. Printing the test files Shao has is one of the tests.

Comment 13 Havoc Pennington 2002-03-27 12:03:19 EST
I'm having to remove all our current CJK patches on 0.9.7 upgrade due to
conflicts - so if there was anything in there that you didn't get upstream, it
is now not in there. You may want to double-check.

Anyway, building 0.9.7 now.
Comment 14 Akira TAGOH 2002-03-28 01:23:12 EST
Created attachment 51084 [details]
we need this patch yet. as I said, this is same patch which is already filed to bugzilla.gnome.org
Comment 15 Akira TAGOH 2002-03-28 01:25:17 EST
Created attachment 51085 [details]
and this. oh, no. 0.9.7 doesn't contain gettextize....
Comment 16 Akira TAGOH 2002-03-28 01:26:32 EST
So that I reopen this bug.
Comment 17 Havoc Pennington 2002-03-28 16:07:10 EST
0.9.7-2 contains these fixes.
Comment 18 Akira TAGOH 2002-03-29 03:40:53 EST
It seems like 0.9.7-2 doesn't have gettextize patch...
Comment 19 Nakai 2002-03-29 05:14:26 EST
Oops, it's saying that's available in upcoming 0.9.8 release.. Sorry.

Comment 20 Havoc Pennington 2002-03-29 10:02:34 EST
We aren't going to upgrade to 0.9.8, though. The version freeze was two weeks ago.

0.9.7-3 contains the gettext patch.

Note You need to log in before you can comment on or make changes to this bug.